<div class="" 
style="margin: 0px; padding: 0px; 
background: url('../../assets/fondo.jpg'); 
width: 100%; height: 100%;
z-index: -1; position: absolute; top: 0; left: 0;">
</div>

<div class="row justify-content-center align-items-center col-12 pt-5 ml-0 mr-0">
    <div class="col-sm-12 col-md-12 col-lg-6">
        <form [formGroup]="loginForm"
        role="form"
        class="form-group border rounded bg-light p-3 mt-3"
        style="background-color: rgba(255,255,255,0.7) !important;"
        novalidate
        (ngSubmit)="onsaveForm()">
        <div class="circular img-fluid  mx-auto d-block align-middle">
                <img src="../../assets/sesionlogo.png" width="200px" height="200px" 
                class="" alt="">    
        </div>
        <div class="form-group">
            <label for="inputemail" class="h5">Correo electronico</label>
            <input type="email"
            aria-describedby="emailHelp"
            formControlName="username"
            name="username"
            id="username"
            autocomplete="on"
            class="form-control col-12 col-md-12"
            placeholder="sunombre@servidor.com"
            formControlName="username">
            <span class="badge badge-primary" *ngIf="username.valid">¡Se ve bien!</span>
            <span class="badge badge-danger" 
            *ngIf="username.invalid && (username.dirty || username.touched)">
            ¡Debes de introducir usuario!
            </span>
            <small id="usernameHelp" class="form-text text-muted">
                Introduzca el correo electronico asociado a su cuenta.
            </small>
        </div>
        <div class="form-group">
            <label for="password" class="h5">Password</label>
            <input type="password"
            name="Pass"
            id="Pass"
            autocomplete="of"
            class="form-control col-12 col-md-12"
            placeholder="Password"
            required
            formControlName="password"
            maxlength="16">
            <span class="badge badge-warning"
            *ngIf="password.invalid && (password.dirty || password.touched)">
            ¡Tu contraseña es demasiado corta!
            </span>
            <span class="badge badge-primary"
            *ngIf="password.valid">¡Perfecto!</span>
        </div>
        <div class="form-group">
            <button id="Login"
            type="submit"
            class="btn btn-info btn-lg btn-block"
            style="text-align: center;"
            [disabled]="!loginForm.valid || loadingFlag">
                <div *ngIf="loadingFlag; then thenBlock; else elseBlock"></div>
                <ng-template #thenBlock>
                    <span class="spinner-border spinner-border-sm mr-2"></span>Autenticando
                </ng-template>
                <ng-template #elseBlock>
                    <span>Iniciar Sesion</span>
                </ng-template>
            </button>
            <div class="justify-content-center" style="display: flex; justify-content: center; align-items: center;">
                <p class="h6">O</p>
            </div>
            <button id="Registro"
            type="submit"
            class="btn btn-outline-primary btn-lg btn-block"
            style="text-align: center;"
            [disabled]="loadingFlag"
            routerLink="/register">
                <span>Registrate</span>
            </button>
            <small id="changePassword">
                ¿Olvidaste tu contraseña?.
                <a routerLink="/">Recuperar contraseña</a>
            </small>
        </div>
    </form>
    </div>
</div>

<style>
    .contenedor{
        display: flex;
        justify-content: center;
        align-items: center;
        height: 100%;
        width: 100%;
    }
</style>